%global srcname     klusta
%global sum     Spike detection and automatic clustering for spike sorting

Name:       python-%{srcname}
Version:    3.0.16
Release:    2%{?dist}
Summary:    %{sum}

License:    BSD
URL:        https://github.com/kwikteam/klusta
Source0:    https://files.pythonhosted.org/packages/source/k/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
klusta is an open source package for automatic spike sorting of multielectrode
neurophysiological recordings made with probes containing up to a few dozens of
sites.

klusta implements the following features:

- Kwik: An HDF5-based file format that stores the results of a spike sorting
  session.
- Spike detection (also known as SpikeDetekt): an algorithm designed for probes
  containing tens of channels, based on a flood-fill algorithm in the adjacency
graph formed by the recording sites in the probe.
- Automatic clustering (also known as Masked KlustaKwik): an automatic
  clustering algorithm designed for high-dimensional structured datasets.

%package -n python2-%{srcname}
Summary:        %{sum}
BuildRequires:  python2-devel %{py2_dist numpy six pytest h5py scipy tqdm responses click}
Requires:       %{py2_dist numpy scipy six h5py tqdm click}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
klusta is an open source package for automatic spike sorting of multielectrode
neurophysiological recordings made with probes containing up to a few dozens of
sites.

klusta implements the following features:

- Kwik: An HDF5-based file format that stores the results of a spike sorting
  session.
- Spike detection (also known as SpikeDetekt): an algorithm designed for probes
  containing tens of channels, based on a flood-fill algorithm in the adjacency
graph formed by the recording sites in the probe.
- Automatic clustering (also known as Masked KlustaKwik): an automatic
  clustering algorithm designed for high-dimensional structured datasets.


%package -n python3-%{srcname}
Summary:        %{sum}
BuildRequires:  python3-devel %{py3_dist numpy six pytest h5py scipy tqdm responses click}
Requires:       %{py3_dist numpy scipy six h5py tqdm click}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
klusta is an open source package for automatic spike sorting of multielectrode
neurophysiological recordings made with probes containing up to a few dozens of
sites.

klusta implements the following features:

- Kwik: An HDF5-based file format that stores the results of a spike sorting
  session.
- Spike detection (also known as SpikeDetekt): an algorithm designed for probes
  containing tens of channels, based on a flood-fill algorithm in the adjacency
graph formed by the recording sites in the probe.
- Automatic clustering (also known as Masked KlustaKwik): an automatic
  clustering algorithm designed for high-dimensional structured datasets.


%prep
%autosetup -n %{srcname}-%{version}
rm -fr *egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{srcname}
%doc README.md
%license LICENSE
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{srcname}/

%files -n python3-%{srcname}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{srcname}/
%{_bindir}/%{srcname}

%changelog
* Tue Jan 09 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 3.0.16-2
- Update based on review comments 1532082
- use py_dist macros

* Sun Jan 07 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 3.0.16-1
- Initial build
